The ReflectionExtension class

- « ReflectionZendExtension::__toString

- ReflectionExtension::__clone »

- PHP Manual
- Reflection
- The ReflectionExtension class

# The ReflectionExtension class

(PHP 5, PHP 7, PHP 8)

## Introduction

The ReflectionExtension class reports information about an extension.

## Class synopsis

class ReflectionExtension implements Reflector {
/* Properties */
public string $name;
/* Methods */
public __construct(string `$name`)
private __clone(): void
public static export(string `$name`, string `$return` = `false`): string
public getClasses(): array
public getClassNames(): array
public getConstants(): array
public getDependencies(): array
public getFunctions(): array
public getINIEntries(): array
public getName(): string
public getVersion(): ?string
public info(): void
public isPersistent(): bool
public isTemporary(): bool
public __toString(): string
}

## Properties

name

  Name of the extension, same as calling the ReflectionExtension::getName() method.

## Changelog

Version | Description
--- | ---
8.0.0 | ReflectionExtension::export() was removed.

## Table of Contents

- ReflectionExtension::__clone — Clones
- ReflectionExtension::__construct — Constructs a ReflectionExtension
- ReflectionExtension::export — Export
- ReflectionExtension::getClasses — Gets classes
- ReflectionExtension::getClassNames — Gets class names
- ReflectionExtension::getConstants — Gets constants
- ReflectionExtension::getDependencies — Gets dependencies
- ReflectionExtension::getFunctions — Gets extension functions
- ReflectionExtension::getINIEntries — Gets extension ini entries
- ReflectionExtension::getName — Gets extension name
- ReflectionExtension::getVersion — Gets extension version
- ReflectionExtension::info — Print extension info
- ReflectionExtension::isPersistent — Returns whether this extension is persistent
- ReflectionExtension::isTemporary — Returns whether this extension is temporary
- ReflectionExtension::__toString — To string